extends "../FileStatistics.gd"

func _is_comment(line: String) -> bool:
	# TODO: Detect multi-line comments
	return line.strip_edges().begins_with("#")

func _get_extension() -> String:
	return "GDScript"

func _get_icon() -> String:
	return "GDScript"

func _get_color() -> Color:
	return Color.STEEL_BLUE

func _is_script() -> bool:
	return true
